org.w3c.css.sac

## Interface DescendantSelector

All Superinterfaces:
  Selector

    public interface DescendantSelector
    extends Selector

See Also:
  `Selector.SAC_DESCENDANT_SELECTOR`, `Selector.SAC_CHILD_SELECTOR`

### Field Summary

### Fields inherited from interface org.w3c.css.sac.Selector

`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

### Method Summary

All Methods Instance Methods Abstract Methods
`Selector` `getAncestorSelector()` Returns the parent selector.
`SimpleSelector` `getSimpleSelector()`

### Methods inherited from interface org.w3c.css.sac.Selector

`getSelectorType`

### Method Detail

#### getAncestorSelector

    Selector getAncestorSelector()

Returns the parent selector.

#### getSimpleSelector

    SimpleSelector getSimpleSelector()